Groovy Documentation

## groovy.transform
[Java] Annotation Type NotYetImplemented

    java.lang.Object
      groovy.transform.NotYetImplemented

    @Retention(RetentionPolicy.RUNTIME)
    @Target({ElementType.METHOD})
    @GroovyASTTransformationClass("org.codehaus.groovy.transform.NotYetImplementedASTTransformation")
    public @interface NotYetImplemented

Method annotation used to invert test case results. If a JUnit 3/4 test case method is annotated with `@NotYetImplemented` the test will fail if no test failure occurs and it will pass if a test failure occurs.

This is helpful for tests that don't currently work but should work one day, when the tested functionality has been implemented.

The idea for this AST transformation originated in GroovyTestCase.notYetImplemented.

Authors:
  Dierk König
  Andre Steingress
  Ilinca V. Hallberg
  Björn Westlin

Since:
  2.0.0

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Groovy Documentation